interface Settings {
    type: string;
    uid: string;
    template?: string;
    i18n: {
        langs: Array<string>;
        primaryLang: string;
        packages: Array<string>;
    };
}
interface Options {
    fetch: () => Promise<Settings>;
}
export declare class SettingsStorage {
    settings: Settings;
    options: Options;
    constructor(settings: any, options: any);
    get(key: any): any;
    update(): Promise<void>;
}
export {};
