"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const dot_object_1 = __importDefault(require("dot-object"));
class SettingsStorage {
    constructor(settings, options) {
        this.settings = settings;
        this.options = options;
    }
    get(key) {
        return dot_object_1.default.pick(key, this.settings);
    }
    async update() {
        this.settings = await this.options.fetch();
    }
}
exports.SettingsStorage = SettingsStorage;
//# sourceMappingURL=index.js.map